# Component versions
%define xdpyinfo 1.3.1
%define xev 1.2.1
%define xlsatoms 1.1.1
%define xlsclients 1.1.3
%define xlsfonts 1.0.4
%define xprop 1.2.2
%define xvinfo 1.1.2
%define xwininfo 1.1.3

Summary:    X.Org X11 X client utilities
Name:       xorg-x11-utils
Version:    7.5
Release:    16%{?dist}
License:    MIT
URL:        http://www.x.org

Source0:    http://www.x.org/pub/individual/app/xdpyinfo-%{xdpyinfo}.tar.bz2
Source1:    http://www.x.org/pub/individual/app/xev-%{xev}.tar.bz2
Source2:    http://www.x.org/pub/individual/app/xlsatoms-%{xlsatoms}.tar.bz2
Source3:    http://www.x.org/pub/individual/app/xlsclients-%{xlsclients}.tar.bz2
Source4:    http://www.x.org/pub/individual/app/xlsfonts-%{xlsfonts}.tar.bz2
Source5:    http://www.x.org/pub/individual/app/xprop-%{xprop}.tar.bz2
Source6:    http://www.x.org/pub/individual/app/xvinfo-%{xvinfo}.tar.bz2
Source7:    http://www.x.org/pub/individual/app/xwininfo-%{xwininfo}.tar.bz2

# No release tarball
Source100:  edid-decode-20140129.tar.xz
Source101:  make-edid-decode-snapshot.sh

BuildRequires:  gettext-devel
BuildRequires:  libtool

BuildRequires:  pkgconfig(dmx)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb) >= 1.6
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xrandr) >= 1.2
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(xv)
BuildRequires:  pkgconfig(xxf86dga)
BuildRequires:  pkgconfig(xxf86misc)
BuildRequires:  pkgconfig(xxf86vm)

Provides:   edid-decode
Provides:   xdpyinfo = %{xdpyinfo}
Provides:   xev = %{xev}
Provides:   xlsatoms = %{xlsatoms}
Provides:   xlsclients = %{xlsclients}
Provides:   xlsfonts = %{xlsfonts}
Provides:   xprop = %{xprop}
Provides:   xvinfo = %{xvinfo}
Provides:   xwininfo = %{xwininfo}

%description
A collection of client utilities which can be used to query the X server for
various information.

%prep
%setup -q -c %{name}-%{version} -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a100

%build
# Build all apps
{
    for app in * ; do
        pushd $app
        if [ -e configure ] ; then
            autoreconf -vif
            %configure
        fi
        make %{?_smp_mflags}
        popd
    done
}

%install
# Install all apps
{
    for app in * ; do
        pushd $app
            %make_install
        popd
    done
}

%files
%{_bindir}/edid-decode
%{_bindir}/xdpyinfo
%{_bindir}/xev
%{_bindir}/xlsatoms
%{_bindir}/xlsclients
%{_bindir}/xlsfonts
%{_bindir}/xprop
%{_bindir}/xvinfo
%{_bindir}/xwininfo
%{_mandir}/man1/edid-decode.1*
%{_mandir}/man1/xdpyinfo.1*
%{_mandir}/man1/xev.1*
%{_mandir}/man1/xlsatoms.1*
%{_mandir}/man1/xlsclients.1*
%{_mandir}/man1/xlsfonts.1*
%{_mandir}/man1/xprop.1*
%{_mandir}/man1/xvinfo.1*
%{_mandir}/man1/xwininfo.1*

%changelog
* Tue Nov 04 2014 Simone Caronni <negativo17@gmail.com> - 7.5-16
- Clean up SPEC file, fix rpmlint warnings.
- Update xslclients to 1.1.3.
- Simplify build requirements.

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.5-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.5-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jan 29 2014 Adam Jackson <ajax@redhat.com> 7.5-13
- New edid-decode snapshot

* Fri Aug 09 2013 Peter Hutterer <peter.hutterer@redhat.com> 7.5-12
- Update sources for latest tarballs, some changes got lost before the commit
- require gettext-devel for AM_ICONV (now required by xwininfo)

* Fri Aug 09 2013 Peter Hutterer <peter.hutterer@redhat.com> 7.5-11
- xprop 1.2.2
- xwininfo 1.1.2
- xdpyinfo 1.3.1
- xvinfo 1.1.1

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Mar 07 2013 Dave Airlie <airlied@redhat.com> 7.5-9
- autoreconf for aarch64

* Wed Jan 30 2013 Peter Hutterer <peter.hutterer@redhat.com> 7.5-8
- xev 1.2.1
- xlsatoms 1.1.1
- xlsfonts 1.0.4
- xwininfo 1.1.2

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 29 2011 Adam Jackson <ajax@redhat.com> 7.5-5
- xlsclients 1.1.2
- Rebuild for new xcb-util

* Wed Nov 09 2011 Adam Jackson <ajax@redhat.com> 7.5-4
- xdpyinfo 1.3.0

* Mon Sep 12 2011 Adam Jackson <ajax@redhat.com> 7.5-3
- xprop 1.2.1

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
